package com.atlassian.bitbucket.internal.ssh.server;

import javax.annotation.Nonnull;

/**
 * Enumerates the factories for the different SSH algorithm types.
 *
 * @since 3.9
 */
public enum NamedFactoryType {
    CIPHER("plugin.ssh.disabled.ciphers"),
    KEY_EXCHANGE("plugin.ssh.disabled.key.exchanges"),
    MAC("plugin.ssh.disabled.macs");

    private final String disabledFactoriesProperty;

    /**
     * @param disabledFactoriesProperty the name of the property listing factories to disable
     */
    private NamedFactoryType(String disabledFactoriesProperty) {
        this.disabledFactoriesProperty = disabledFactoriesProperty;
    }

    @Nonnull
    public String getDisabledFactoriesProperty() {
        return disabledFactoriesProperty;
    }
}
